Difference between revisions of "Arch Rebar UShape/it"

From FreeCAD Documentation
Jump to navigation Jump to search
 
(No difference)

Latest revision as of 21:33, 23 September 2020

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch Rebar Straight.svg Armatura dritta Pagina precedente:
Pagina successiva: Armatura a L Arch Rebar LShape.svg Arrow-right.svg

Arch Rebar UShape.svg Armatura ad U

Nome nel codice
Arch_Rebar_UShape
Posizione nel menu
Arch → Strumenti armatura → Armatura ad U o BIM → 3D/BIM → Reinforcement → Rebar UShape
Ambiente
Arch, BIM
Avvio veloce
Nessuno
Introdotto nella versione
0.17
Vedere anche
Armatura a L, Armature


Descrizione

Lo strumento Armatura ad U consente all'utente di creare un set di barre d'armatura a forma di U all'interno di un oggetto Struttura.

The Arch Rebar UShape.svg UShape Rebar tool is also integrated into BIM Workbench.

Questo comando fa parte dell'ambiente aggiuntivo Reinforcement, che si può installare con AddonManager.svg Addon manager, tramite il menu Strumenti → Addon manager → Reinforcement.

Arch Rebar UShape example.png

Due serie di barre di rinforzo a forma di U all'interno di una Struttura


Utilizzo

  1. Selezionare una qualsiasi faccia dell'oggetto Arch Structure.svg Struttura creato in precedenza.
  2. Quindi selezionare Arch Rebar UShape.svg Armatura ad U dagli strumenti dell'armatura.
  3. Sul lato sinistro dello schermo appare un pannello delle azioni come sottostante.
  4. Selezionare l'orientamento desiderato.
  5. Fornire i dati per 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' e 'Diameter' dell'armatura.
  6. Selezionare la modalità di distribuzione 'Amount' o 'Spacing' (quantità o spaziatura).
  7. Se è selezionata 'Spacing', la spaziatura, l'utente può anche optare per una spaziatura personalizzata.
  8. Pick Selected Face serve per verificare o modificare la faccia per la distribuzione dell'armatura.
  9. Cliccare OK o Applica per generare l'armatura.
  10. Cliccare Annulla per uscire dal pannello delle azioni.
UShapeDialog.png

Pannello Azioni per lo strumento Armatura ad U di Arch


Proprietà

  • DatiOrientation: Decide l'orientamento dell'armatura (es. verso il basso, verso l'alto, a destra o a sinistra).
  • DatiFront Cover: La distanza tra l'armatura e la faccia selezionata. Copriferro anteriore
  • DatiRight Cover: La distanza tra l'estremità destra della barra di destra e la faccia destra della struttura. Copriferro destro
  • DatiLeft Cover: La distanza tra l'estremità sinistra della barra di sinistra e la faccia sinistra della struttura. Copriferro sinistro
  • DatiBottom Cover: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
  • DatiTop Cover: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
  • DatiRounding: Il raggio di curvatura da applicare agli angoli delle barre, espresso quantità di diametro delle barre.
  • DatiAmount: La quantità di barre.
  • DatiSpacing: La distanza tra gli assi di ogni barra.

Scripting

Vedere anche: API Arch, API Reinforcement e Script di base per FreeCAD.

Lo strumento Armatura a U può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Rebar = makeUShapeRebar(f_cover, b_cover, r_cover, l_cover,
                        diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                        structure=None, facename=None)
  • Crea un oggetto Rebar dalla structure data, che è una Struttura, e da una facename, che è una faccia di quella struttura.
    • Se non è data nessuna structure e neppure una facename, prende come riferimento la faccia selezionata dall'utente.
  • f_cover, b_cover, r_cover, l_cover, e t_cover sono le distanze interne di offset per gli elementi dell'armatura rispetto alle facce della struttura. Sono rispettivamente gli offset anteriore, inferiore, sinistro, destro e superiore.
  • diameter è il diametro delle barre di rinforzo all'interno della struttura.
  • rounding è il parametro che determina il raggio di curvatura al centro delle barre di armatura.
  • Se amount_spacing_check è True crea tante barre di rinforzo quante sono definite da amount_spacing_value; se è False crea le barre di rinforzo separate dal valore numerico indicato in amount_spacing_value.
  • amount_spacing_value specifica il numero di barre di rinforzo o il valore della separazione tra di esse, secondo come sono indicate in amount_spacing_check.
  • orientation specifica l'orientamento della barra d'armatura; può essere "Bottom", "Top", "Right", o "Left".

Esempio

import FreeCAD, Arch, UShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = UShapeRebar.makeUShapeRebar(50, 20, 20, 20,
                                    8, 50, 4, True, 6, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = UShapeRebar.makeUShapeRebar(50, 50, 20, 20,
                                     8, 50, 4, True, 6, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Modifica delle barre

È possibile modificare le proprietà dell'armatura con la seguente funzione:

editUShapeRebar(Rebar, f_cover, b_cover, r_cover, l_cover,
                diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
                structure=None, facename=None)
  • Rebar è l'oggetto UShapeRebar creato in precedenza.
  • Gli altri parametri sono gli stessi richiesti dalla funzione makeUShapeRebar().
  • structure e facename possono essere omesse in modo che l'armatura rimanga nella struttura originale.
import UShapeRebar

UShapeRebar.editUShapeRebar(Rebar, 50, 50, 20, 20,
                            16, 20, 5, True, 5, "Top")

UShapeRebar.editUShapeRebar(Rebar2, 70, 50, 20, 20,
                            16, 70, 5, True, 5, "Top")
Arrow-left.svg Arch Rebar Straight.svg Armatura dritta Pagina precedente:
Pagina successiva: Armatura a L Arch Rebar LShape.svg Arrow-right.svg